Source

snaplet-mongoDB / snaplet-mongoDB.cabal

Full commit
Kamil Ciemniewsk… 7795a1e 








Kamil Ciemniewsk… c9bd997 
Kamil Ciemniewsk… 7795a1e 





































root df0ea16 


Kamil Ciemniewsk… c9bd997 



Kamil Ciemniewsk… 7d8240c 
Kamil Ciemniewsk… 7795a1e 














root df0ea16 


Kamil Ciemniewsk… a5adfaf 
Kamil Ciemniewsk… 7d8240c 







Kamil Ciemniewsk… 7795a1e 








-- snaplet-mongoDB.cabal auto-generated by cabal init. For additional
-- options, see
-- http://www.haskell.org/cabal/release/cabal-latest/doc/users-guide/authors.html#pkg-descr.
-- The name of the package.
Name:                snaplet-mongoDB

-- The package version. See the Haskell package versioning policy
-- (http://www.haskell.org/haskellwiki/Package_versioning_policy) for
-- standards guiding when and how versions should be incremented.
Version:             0.2

-- A short (one-line) description of the package.
Synopsis:            Snap Framework MongoDB support as Snaplet

-- A longer description of the package.
-- Description:         

-- The license under which the package is released.
License:             BSD3

-- The file containing the license text.
License-file:        LICENSE

-- The package author(s).
Author:              Kamil Ciemniewski

-- An email address to which users can send suggestions, bug reports,
-- and patches.
Maintainer:          ciemniewski.kamil@gmail.com

-- A copyright notice.
-- Copyright:           

Category:            Web

Build-type:          Simple

-- Extra files to be distributed with the package, such as examples or
-- a README.
-- Extra-source-files:  

-- Constraint on the version of Cabal needed to build this package.
Cabal-version:       >=1.2


Library
  hs-source-dirs: src

  library
  exposed-modules:  Snap.Snaplet.MongoDB
                  , Snap.Snaplet.MongoDB.Template
                  , Snap.Snaplet.MongoDB.FilterOps
                  , Snap.Snaplet.MongoDB.MongoEntity
                  , Snap.Snaplet.MongoDB.MongoValue
                  , Snap.Snaplet.MongoDB.Parse
                  , Snap.Snaplet.Auth.Backends.MongoDB
  
  -- Packages needed in order to build this package.
  Build-depends:
    base >= 4 && < 5,
    bytestring >= 0.9.1 && < 0.10,
    bson == 0.1.6,
    compact-string-fix == 0.3.2,
    containers == 0.4.0.0,
    mongoDB == 1.1.1,
    mtl >= 2 && < 3,
    regular >= 0.3.2,
    safe,
    snap == 0.7.*,
    snap-core == 0.7.*,
    text >= 0.11 && < 0.12,
    time >= 1.1 && < 1.5,
    parsec == 3.1.1,
    haskell-src-exts == 1.11.1,
    template-haskell,
    MonadCatchIO-transformers == 0.2.2.2,
    clientsession == 0.7.3.6,
    data-lens == 2.0.2,
    data-lens-template == 2.1.2,
    unordered-containers == 0.1.4.3,
    aeson == 0.4.0.0,
    attoparsec == 0.10.0.3,
    vector == 0.9
  
  -- Extra tools (e.g. alex, hsc2hs, ...) needed to build the source.
  -- Build-tools:    
  
  extensions: 
      OverloadedStrings
    , FlexibleInstances
    , TypeSynonymInstances
    , MultiParamTypeClasses